UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Adventurer
Adventurer
234 Views
Registered: ‎09-06-2019

VTC Compatible drivers

Here seems to be various drivers available for tyhe VTC. Which one should be used if we are implementing our design in 2019.1?

1. xlnx,v-tc-6.1

2. xlnx,bridge-v-tc-6.1

3. xlnx,v-tc-5.01.a

Each seem to be valid from reading the documentation but xlnx,v-tc-6.1 causes a kernel panic during boot for my image.

0 Kudos
4 Replies
Mentor watari
Mentor
161 Views
Registered: ‎06-16-2013

Re: VTC Compatible drivers

Hi tkato@poc.com 

 

Would you share boot log file ?

There is a lot of useful information to debug it...

 

Best regards,

Moderator
Moderator
135 Views
Registered: ‎04-12-2017

Re: VTC Compatible drivers

Hello tkato@poc.com 

Following is the latest driver.

https://github.com/Xilinx/linux-xlnx/blob/master/drivers/media/platform/xilinx/xilinx-vtc.c

Meanwhile Petalinux during configuration automatically picks up the kernel driver for VTC as per the tool version. I don't think you will need to do anything special.

When you install tool in the host it downloads latest version of drivers mapped for that version into local memory and during petalinux-config it basically picks up from there. 

Now coming back to your error as mentioned by @watari earlier sharing with us dmesg log would be helpful to comment further.

Just make sure your device tree is proper for VTC as per binding doc under pl.dtsi once project is built.

https://github.com/Xilinx/linux-xlnx/blob/master/Documentation/devicetree/bindings/media/xilinx/xlnx%2Cv-tc.txt

 

-------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------
Adventurer
Adventurer
60 Views
Registered: ‎09-06-2019

Re: VTC Compatible drivers

We are up-to-date with the latest but for whatever reason our kernel panics when probing the VTC with "xlnx,v-tc-6.1" set as the compatible in the device tree. xlnx,v-tc-5.01a probes and successfully moves on. I will grab the boot log.

0 Kudos
Moderator
Moderator
35 Views
Registered: ‎04-12-2017

Re: VTC Compatible drivers

Hello tkato@poc.com 

Then in that case going through dmesg logs should help us move forward.

Please share with us your logs. Generated pl.dtsi once petalinux project is built as well as screen shot of VTC IP in your design.

-------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------